###########################################################################
# Copyright 2006 Pascal Gloor <pascal.gloor@spale.com>
#
# Licensed under the Apache License, Version 2.0 (the "License");
# you may not use this file except in compliance with the License.
# You may obtain a copy of the License at
#
#     http://www.apache.org/licenses/LICENSE-2.0
#
# Unless required by applicable law or agreed to in writing, software
# distributed under the License is distributed on an "AS IS" BASIS,
# WITHOUT WARRANTIES OR CONDITIONS OF ANY KIND, either express or implied.
# See the License for the specific language governing permissions and
# limitations under the License.
###########################################################################

include config.mk

PREFIX=/usr/local/
VERSION="1.0.0"

CC=cc
CFLAGS=$(WARNING) -DVERSION=\"$(VERSION)\" -DOS=\"$(OS)\" $(USER_CFLAGS)
LDFLAGS=$(USER_LDFLAGS) 

INSTALL=install -c
RM=rm -f
AR=ar -qc
LN=ln -s -f
GZIP=gzip -c9
MKDIR=mkdir -p -v

PRINTC=printf "Compiling %-15s ... "
PRINTL=printf "Linking   %s -> %s "

WARNING=-Werror -Wall -Wshadow -Wpointer-arith -Wmissing-prototypes\
-Wmissing-declarations -Wredundant-decls -Wcast-qual \
-Waggregate-return -Wstrict-prototypes\
-Wnested-externs -Wlong-long -Winline


%.o: %.c
	@$(PRINTC) $?
	@$(CC) $(CFLAGS) -o $@ -c $?
	@echo OK

$(prg): $(obj)
	@$(PRINTL) "$(obj)" $(prg)
	@$(CC) $(LDFLAGS) -o $(prg) $(obj)
	@echo OK

subclean:
	$(RM) $(obj) $(prg)
