/*
 * Copyright 2006 Pascal Gloor <pascal.gloor@spale.com>
 *
 * Licensed under the Apache License, Version 2.0 (the "License");
 * you may not use this file except in compliance with the License.
 * You may obtain a copy of the License at
 *
 *     http://www.apache.org/licenses/LICENSE-2.0
 *
 * Unless required by applicable law or agreed to in writing, software
 * distributed under the License is distributed on an "AS IS" BASIS,
 * WITHOUT WARRANTIES OR CONDITIONS OF ANY KIND, either express or implied.
 * See the License for the specific language governing permissions and
 * limitations under the License.
 */

#include <stdio.h>

#include "socket.h"
#include "debug.h"

int socket_setup(struct sockaddr_in *sock)
{
	int s;

	sock->sin_family = AF_INET;

	if ( ( s = socket(PF_INET, SOCK_DGRAM, 0) ) == -1 )
	{
		perror("socket");
		return -1;
	}

	if ( bind(s, (struct sockaddr*)sock, sizeof(struct sockaddr_in)) == -1 )
	{
		perror("bind");
		return -1;
	}

	debug(printf("socket: listening on %s:%i",inet_ntoa(sock->sin_addr),ntohs(sock->sin_port)));

	return s;
}
